Bug 2218159 - Please consider removing/porting aspell dependency. Aspell has been deprecated
Summary: Please consider removing/porting aspell dependency. Aspell has been deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hunspell-gv
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2210277
TreeView+ depends on / blocked
 
Reported: 2023-06-28 11:02 UTC by Lukas Javorsky
Modified: 2023-08-03 15:59 UTC (History)
1 user (show)

Fixed In Version: hunspell-gv-0.20040505-31.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-03 15:59:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-880 0 None None None 2023-06-30 08:57:35 UTC

Description Lukas Javorsky 2023-06-28 11:02:48 UTC
Aspell has been deprecated since Fedora 39.
Please consider removing dependency on aspell, or porting it to the variants like hunspell or enchant/enchant2.

Change proposal is located here: https://fedoraproject.org/wiki/Changes/AspellDeprecation
FESCo approval is located here: https://pagure.io/fesco/issue/3009

If your component has already removed/ported it's aspell dependency, or you don't Require/BuildRequire any aspell subpackage, feel free to close this Bugzilla.
This Bugzilla was created automatically and some issues might have occurred along the way.

Comment 1 Fedora Update System 2023-07-17 10:31:56 UTC
FEDORA-2023-6b276b258a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6b276b258a

Comment 2 Fedora Update System 2023-07-17 10:33:55 UTC
FEDORA-2023-6b276b258a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-08-03 15:55:48 UTC
FEDORA-2023-a5571e9431 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a5571e9431

Comment 4 Fedora Update System 2023-08-03 15:59:59 UTC
FEDORA-2023-a5571e9431 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.